Socket::Linux(3pm)

NAME
Socket::Linux - Socket constants defined in Linux <netinet/tcp.h>

SYNOPSIS
  use Socket qw(IPPROTO_TCP);
  use Socket::Linux qw(TCP_KEEPINTVL TCP_KEEPIDLE TCP_KEEPCNT);

  setsockopt($sock, IPPROTO_TCP, TCP_KEEPIDLE,  10);
  setsockopt($sock, IPPROTO_TCP, TCP_KEEPINTVL, 10);
  setsockopt($sock, IPPROTO_TCP, TCP_KEEPCNT,    3);

DESCRIPTION
Exports to perl the constants defined in Linux <netinet/tcp.h>

SEE ALSO
Socket, perlfunc, tcp(7).

AUTHOR
Salvador Fandiño (sfandino@yahoo.com)

COPYRIGHT AND LICENSE
Copyright (C) 2010 by Qindel Formación y Servicios SL.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.1 or, at your option, any later version of Perl 5 you may have available.